Package ghidra.app.plugin.processors.generic

# Class Handle

java.lang.Object
ghidra.app.plugin.processors.generic.Handle

All Implemented Interfaces:
  `Serializable`

public class Handle extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `OFFSET`
  `static final int`
  `SIZE`
  `static final int`
  `SPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Handle(Varnode p, int sp, int sz)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `dynamic()`
  `long`
  `getLong(int select1, int select2)`
  Method getLong.
  `Varnode`
  `getPtr()`
  `long`
  `getSize()`
  `long`
  `getSpace()`
  `boolean`
  `isAddress()`
  `boolean`
  `isCodeAddress()`
  Deprecated.
  `boolean`
  `isConstant()`
  `boolean`
  `isDataAddress()`
  `boolean`
  `isRegister()`
  `boolean`
  `isUnique()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SPACE

    public static final int SPACE
    See Also:
      - Constant Field Values

  - ### OFFSET

    public static final int OFFSET
    See Also:
      - Constant Field Values

  - ### SIZE

    public static final int SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Handle

    public Handle(Varnode p, int sp, int sz)

- ## Method Details

  - ### getLong

    public long getLong(int select1, int select2)
    Method getLong.
    Parameters:
      `select1` -
      `select2` -
    Returns:
      long

  - ### getSpace

    public long getSpace()

  - ### getSize

    public long getSize()

  - ### getPtr

    public Varnode getPtr()

  - ### isAddress

    public boolean isAddress()

  - ### isCodeAddress

    @Deprecated public boolean isCodeAddress()
    Deprecated.

  - ### isDataAddress

    public boolean isDataAddress()

  - ### isConstant

    public boolean isConstant()

  - ### isRegister

    public boolean isRegister()

  - ### isUnique

    public boolean isUnique()

  - ### dynamic

    public boolean dynamic()